Subject: [bug#52109] How to resolve? (Re: [bug#52109] [PATCH] gnu: Add unrar-free.)

From: Simon Tournier <[email-masked]>
Date: Mon, 16 Jan 2023 10:46:30 +0100

Hi Liliana,

On ven., 13 janv. 2023 at 19:18, Liliana Marie Prikler <[email-masked]> wrote:

> I hazard a guess that you didn't have to unpack many RAR archives via
> CLI then.  Which fair enough, because there are other libarchive
> frontends to further prove my point that unrar-free is not needed.

Your guess is incorrect.  I unpack RAR archives via CLI using…
unrar-free from Debian – I collaborate with people running Windows where
RAR is very common.

Well, I just notice that even after this long thread, I do not still
know how to extract RAR archives using another tool than unrar-free.

Out of curiosity, how can I extract RAR archives using Guix without
unrar-free?  Liliana, you mentioned BSDtar but “guix search” does not
return something relevant.  Please, could you indicate me how to extract
RAR archives using Guix without unrar-free?

Cheers,
simon